petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscSectionGetField

Get the subsection associated with a single field

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetField(PetscSection s, PetscInt field, PetscSection *subs)

### Input Parameters

| s | - The PetscSection
| field | - The field number

### Output Parameter

subs -The subsection for the given field

### See Also

PetscSectionSetNumFields()

### Level

intermediate

### Location

src/vec/is/section/interface/section.c
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages